<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Thu Mar 05 11:09:26 WAT 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface com.example.bookMicroservice.repositories.BookRepository (bookMicroservice 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2020-03-05">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface com.example.bookMicroservice.repositories.BookRepository (bookMicroservice 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/example/bookMicroservice/repositories/class-use/BookRepository.html" target="_top">Frames</a></li>
<li><a href="BookRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface com.example.bookMicroservice.repositories.BookRepository" class="title">Uses of Interface<br>com.example.bookMicroservice.repositories.BookRepository</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories">BookRepository</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.example.bookMicroservice.services">com.example.bookMicroservice.services</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.example.bookMicroservice.services">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories">BookRepository</a> in <a href="../../../../../com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a> with parameters of type <a href="../../../../../com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories">BookRepository</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BusinessService.html#BusinessService-com.example.bookMicroservice.repositories.BookRepository-com.example.bookMicroservice.repositories.LibraryRepository-com.example.bookMicroservice.repositories.StockRepository-com.example.bookMicroservice.repositories.AuthorRepository-com.example.bookMicroservice.repositories.MagazineRepository-">BusinessService</a></span>(<a href="../../../../../com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories">BookRepository</a>&nbsp;bookRepository,
               <a href="../../../../../com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories">LibraryRepository</a>&nbsp;libraryRepository,
               <a href="../../../../../com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories">StockRepository</a>&nbsp;stockRepository,
               <a href="../../../../../com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories">AuthorRepository</a>&nbsp;authorRepository,
               <a href="../../../../../com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories">MagazineRepository</a>&nbsp;magazineRepository)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/example/bookMicroservice/repositories/class-use/BookRepository.html" target="_top">Frames</a></li>
<li><a href="BookRepository.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2020. All Rights Reserved.</small></p>
</body>
</html>
